---

ip: "{{ stage_private_server_ip | default('-') }}"

### parameters used by kubespray ###

cloud_provider: external
kube_network_plugin: calico
kube_proxy_metrics_bind_address: 0.0.0.0:10249
kubelet_preferred_address_types: InternalIP,ExternalIP,Hostname
docker_log_opts: "--log-opt max-size=100m --log-opt max-file=5 --log-opt compress=true"
#TODO https://github.com/kubernetes/kubernetes/pull/59898
containerd_max_container_log_line_size: 51200

helm_enabled: true
#TODO configuration migration needed
#cert_manager_enabled: true
#TODO configuration migration needed
#ingress_nginx_enabled: true
#TODO configuration migration needed
#argocd_enabled: true
#TODO configuration migration needed
#krew_enabled: true

additional_pip_dependencies:
  - kubernetes
